Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# QDLLink Class Reference

The QDLLink class encapsulates the data of a link. More...

`#include <qtopia/qdl.h>`

List of all member functions.

## Public Members

- QDLLink ()
- QDLLink ( const QCString & appRef, const QByteArray & dataRef, const QString & desc, const QCString & icon )
- QDLLink ( const QDLLink & other )
- bool isNull () const
- void setAppRef ( const QCString & ref )
- QCString appRef () const
- void setDataRef ( const QByteArray & ref )
- QByteArray dataRef () const
- void setDescription ( const QString & desc )
- QString description () const
- void setIcon ( const QCString & icon )
- QCString icon () const
- QDLLink & operator= ( const QDLLink & other )

## Detailed Description

The QDLLink class encapsulates the data of a link.

The QDLLink class encapsulates the data of a link.

A link is made up of four elements. They are:

1. Application Reference (QCString)- A reference to the application which contains the data to be linked. This is the application's filename (eg. addressbook)
2. Data Reference (QByteArray)- Binary data that the source uses which uniquely identifies the data to be linked.
3. Description (QString)- A description of the link to display to the user.
4. Icon (QCString) The name of an icon which qualifies the link in some way (eg. as a link to a contact, an event etc). Passed to Resource::loadPixmap()

See also Qtopia Classes.

## Member Function Documentation

### QDLLink::QDLLink ()

Constructs a null link.

### QDLLink::QDLLink ( const QCString & appRef, const QByteArray & dataRef, const QString & desc, const QCString & icon )

Constructs a link from the application reference appRef, the data reference dataRef, the description desc and the icon icon.

### QDLLink::QDLLink ( const QDLLink & other )

Copy constructor. Performs a deep copy of the link specified by other.

### QCString QDLLink::appRef () const

Returns the application reference of the link.

### QByteArray QDLLink::dataRef () const

Returns the data reference of the link.

### QString QDLLink::description () const

Returns the description of the link.

### QCString QDLLink::icon () const

Returns the icon of the link.

### bool QDLLink::isNull () const

Returns TRUE if the link is null, otherwise returns FALSE. A null link has no application or data reference.

### QDLLink & QDLLink::operator= ( const QDLLink & other )

Deep copies the link specified by other.

### void QDLLink::setAppRef ( const QCString & ref )

Sets the application reference of the link to ref.

### void QDLLink::setDataRef ( const QByteArray & ref )

Sets the data reference of the link to ref.

### void QDLLink::setDescription ( const QString & desc )

Sets the description of the link to desc.

### void QDLLink::setIcon ( const QCString & icon )

Sets the icon of the link to icon.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.